# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

################
###  C4  ###
################
%package sub1-Preset_boards-C4_HAL_Backend
Summary:	C4 Selection for HAL
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Power
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-C4_HAL_Backend-Codec

%description sub1-Preset_boards-C4_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-C4_HAL_Backend

### C4-Power ###
%package sub2-Preset_boards-C4_HAL_Backend-Power
Summary:	C4_Power

%description sub2-Preset_boards-C4_HAL_Backend-Power
Packages for PASS HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Power

### C4-System_Device ###
%package sub2-Preset_boards-C4_HAL_Backend-System_Device
Summary:	C4_Deviced Plugin for HAL
Requires:	hal-backend-device-c4

%description sub2-Preset_boards-C4_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-System_Device

### C4-Bluetooth ###
%package sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Summary:	C4_Bluetooth for HAL
Requires:	hal-backend-bluetooth-usb

%description sub2-Preset_boards-C4_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Bluetooth

### C4-Audio ###
%package sub2-Preset_boards-C4_HAL_Backend-Audio
Summary:	C4_Audio for HAL

%description sub2-Preset_boards-C4_HAL_Backend-Audio
Packages of Audio HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Audio

### C4-Camera_Common ###
%package sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Summary:	C4_Camera(Common) for HAL
Requires:	camera-hal-v4l2

%description sub2-Preset_boards-C4_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for C4(Common).
%files sub2-Preset_boards-C4_HAL_Backend-Camera_Common

### C4-Display ###
%package sub2-Preset_boards-C4_HAL_Backend-Display
Summary:	C4_Display for HAL

%description sub2-Preset_boards-C4_HAL_Backend-Display
Packages of Display HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Display

### C4-Codec ###
%package sub2-Preset_boards-C4_HAL_Backend-Codec
Summary:	C4_Codec for HAL

%description sub2-Preset_boards-C4_HAL_Backend-Codec
Packages of Codec HAL and Feature for C4.
%files sub2-Preset_boards-C4_HAL_Backend-Codec
